import { Construct } from 'constructs';
import * as cdktf from 'cdktf';
/**
* AWS CloudFront
*/
export interface DataAwsCloudfrontRealtimeLogConfigConfig extends cdktf.TerraformMetaArguments {
    /**
    * Docs at Terraform Registry: {@link https://www.terraform.io/docs/providers/aws/d/cloudfront_realtime_log_config#name DataAwsCloudfrontRealtimeLogConfig#name}
    */
    readonly name: string;
}
export declare class DataAwsCloudfrontRealtimeLogConfigEndpointKinesisStreamConfig extends cdktf.ComplexComputedList {
    get roleArn(): string;
    get streamArn(): string;
}
export declare class DataAwsCloudfrontRealtimeLogConfigEndpoint extends cdktf.ComplexComputedList {
    get kinesisStreamConfig(): cdktf.IResolvable;
    get streamType(): string;
}
/**
* Represents a {@link https://www.terraform.io/docs/providers/aws/d/cloudfront_realtime_log_config aws_cloudfront_realtime_log_config}
*/
export declare class DataAwsCloudfrontRealtimeLogConfig extends cdktf.TerraformDataSource {
    static readonly tfResourceType: string;
    /**
    * Create a new {@link https://www.terraform.io/docs/providers/aws/d/cloudfront_realtime_log_config aws_cloudfront_realtime_log_config} Data Source
    *
    * @param scope The scope in which to define this construct
    * @param id The scoped construct ID. Must be unique amongst siblings in the same scope
    * @param options DataAwsCloudfrontRealtimeLogConfigConfig
    */
    constructor(scope: Construct, id: string, config: DataAwsCloudfrontRealtimeLogConfigConfig);
    get arn(): string;
    endpoint(index: string): DataAwsCloudfrontRealtimeLogConfigEndpoint;
    get fields(): string[];
    get id(): string;
    private _name?;
    get name(): string;
    set name(value: string);
    get nameInput(): string;
    get samplingRate(): number;
    protected synthesizeAttributes(): {
        [name: string]: any;
    };
}
